/* =====================
  SECTION: COUNTDOWN
  ====================== */
#countdown {
  position: fixed;
  display: flex;
  flex-direction: column;
  top: 20%;
  right: 0;
}

#countdown .time-wrapper {
  text-align: center;
  padding: 15px;
  background: var(--primary-color);
  backdrop-filter: blur(10px);
  border: solid 1px rgba(255, 255, 255, 0.3);
  transition: 0.2s ease-in-out;
  width: 100%;
  max-width: 150px;
}
#countdown li:nth-child(1) {
  border-radius: 10px 0 0 0;
}
#countdown li:nth-child(4) {
  border-radius: 0 0 0 10px;
}

#countdown .time-wrapper:hover {
  border-color: var(--accent-color);
}

#countdown .time {
  font-size: 18px;
  color: var(--bs-light);
  font-weight: 800;
}

#countdown .text {
  font-size: 15px;
  color: var(--secondary-color);
  font-weight: 600;
}

/* =====================
  UTILITIES : SLICK
====================== */

.my-slider-section {
  width: 90%;
  margin: 40px auto;
}

.my-slider img {
  width: 100%;
  border-radius: 10px;
  display: block;
}

.my-slider .slick-slide {
  margin: 0 15px;
}

.my-slider .slick-list {
  margin: 0 -15px;
}

.slick-prev,
.slick-next {
  width: 40px;
  height: 40px;
  background: #000;
  border-radius: 50%;
  display: flex !important;
  justify-content: center;
  align-items: center;
  z-index: 10;
}

.slick-prev:before,
.slick-next:before {
  color: var(--primary-color) !important;
  font-size: 1.5rem !important;
}

.slick-prev {
  left: -50px;
}

.slick-next {
  right: -50px;
}

.slick-dots {
  bottom: -40px;
}

.slick-dots li button:before {
  font-size: 12px;
  color: #bbb;
  opacity: 1;
}

.slick-dots li.slick-active button:before {
  color: #000;
}

/* =====================
    UTILITIES : COUNTER
    ====================== */

.counter__info {
  position: relative;
  z-index: 5;

  border-radius: 18px;
  background: rgba(255 220 220 / 0.8);
  height: 100%;
  text-align: center;
}

.counter__section .section__subtitle {
  background: rgba(255 220 220 / 0.8);
}

/* =====================
    UTILITIES : CURSOR
    ====================== */

.cursor {
  position: fixed;
  width: 50px;
  height: 50px;
  border: 1px solid var(--primary-color);
  border-radius: 50%;
  pointer-events: none;
  transform: translate(-50%, -50%);
  transition: transform 0.5s;
  transition: 0.1s;
  z-index: 9999;
}

.cursor2 {
  position: fixed;
  width: 8px;
  height: 8px;
  background: var(--primary-color);
  border-radius: 50%;
  pointer-events: none;
  transform: translate(-50%, -50%);
  transition: 0.2s;
  z-index: 9999;
}

/* =====================
  UTILITIES: SCROLL TOP
====================== */
.scrollToTop {
  position: fixed;
  bottom: 4rem;
  right: 1rem;
  background-color: rgba(var(--secondary-color-rgb), 0.5);
  color: var(--bs-light);
  border: none;
  border-radius: 50%;
  padding: 1rem;
  line-height: 1;
  z-index: -1;
  transform: translateY(1rem);
  opacity: 0;
  transition: 500ms ease-in-out 150ms;
}

.scrollToTop.show {
  z-index: 1111;
  transform: translateY(0);
  opacity: 1;
}
/* =====================
    VIDEO-CONTAINER
    ====================== */

.video-container {
  position: relative;
  width: 100%;
  padding-top: 56.25%;
  overflow: hidden;
  background: #000;
  border-radius: 0;
  margin: 0 auto;
}

.video-container iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 0;
}

/* =====================
    HERO
    ====================== */
.hero {
  position: relative;
  overflow: hidden;
  background: var(--primary-color);
  z-index: 5;
}

.hero_bg {
  position: absolute;
  width: calc(100% * 5);
  aspect-ratio: 1;
  border-radius: 50%;
  bottom: 50%;
  left: 50%;
  transform: translateX(-50%);
  background: #ffffff;
  z-index: -1;
  overflow: hidden;
  isolation: isolate;
  background: #fff url("../images/bg/bg1.webp");
}
.hero_bg::before {
  content: "";
  position: absolute;
  width: 100vw;
  height: 100vh;
  left: 50%;
  bottom: 0;
  transform: translateX(-50%);
}
.speak {
  text-align: center;
  position: relative;
  border-radius: 50%;
  --chat-w: 1rem;
}
.speak img {
  border-radius: 50%;
  text-align: center;
  width: 175px;
  border: 9px solid var(--secondary-color);
  background: #fff;
}
.speak::before {
  position: absolute;
  content: "";
  border: var(--chat-w) solid transparent;
  border-right-width: calc(var(--chat-w) * 2);
  border-right-color: var(--secondary-color);
  top: 158px;
  left: 50%;
  transform: translateX(-50%) rotateY(1deg);
  transform-origin: center;
  z-index: -1;
}
.speak h5 {
  margin-top: 15px;
  margin-bottom: 0px;
  color: var(--primary-color);
  font-family: var(--body-font) !important;
}
.speak p {
  color: #000;
}
.msg-bg {
  border: 1px solid #fff;
  padding: 15px;
  border-radius: 10px;
  background: #ffffff12;
}

.conf_speakers {
  background: url(../images/bg/ql.webp) center / cover;
}

.slick-slide img {
  display: block;
  margin: 5px auto !important;
}

/* =====================
    QUICK LINKS
    ====================== */
.quick_links {
  background: url("../images/bg/bg3.webp");
  background-attachment: fixed;
  background-size: cover;
  background-position: center;
  position: relative;
  z-index: 1;
}
.quick_links::before {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: var(--secondary-color);
  z-index: -1;
  opacity: 0.7;
}

.q_l {
  height: 250px;
  width: 250px;
  align-items: center;
  margin: auto;
  display: flex;
  flex-direction: column;
  justify-content: center;

  background: #fff;
  border-radius: 78% 22% 22% 78% / 50% 22% 22% 50%;
}
.q_l .service-icon {
  background-color: #f0f8ff;
  border-radius: 30% 70% 70% 30% / 30% 50% 50% 30%;
  padding: 1rem;
}
.avatar-md {
  height: 4.5rem;
  width: 4.5rem;
}
.icon-mono {
  position: relative;
  display: flex;
  align-items: center !important;
  justify-content: center !important;
}
.quick_links P {
  font-weight: bold;
}

/* =====================
    REGSTRATION
    ====================== */
.reg_section {
  background: var(--primary-color); /* fallback color */
  position: relative;
  overflow: hidden;
}

.reg_section .reg-plan {
  background: #ffffff;
  border-radius: 1rem;
  padding: 0;
  transition: all 0.5s;
  outline: 20px dotted var(--primary-color);
  outline-offset: -10px;
}
.reg_section h4 {
  text-align: center;
  color: var(--clr-main);
  position: relative;
  margin: 1.5rem 0 0rem;
}
.reg-plan h4::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: -10px;
  width: 100%;
  height: 1px;
  background-color: var(--primary-color);
}

.reg-plan h4::after {
  content: "";
  position: absolute;
  left: 50%;
  bottom: -11px;
  transform: translateX(-50%);
  width: 50px;
  height: 4px;
  background-color: var(--primary-color);
}

.table-responsive .table tr th {
  vertical-align: middle;
  text-align: center;
  background: var(--secondary-color) !important;
  color: #fff !important;
}
.table-responsive .table tr td {
  vertical-align: middle;
}

/* =====================
    RESPONSIVE : DESKTOP
    ====================== */

@media only screen and (min-width: 1025px) {
}

/* =====================
    RESPONSIVE : TABLET
    ====================== */

@media only screen and (max-width: 1024px) {
  .menu__bar .navbar {
    position: fixed;
    z-index: 1111;
    top: 0;
    right: 0;
    background: none;
  }

  .menu__bar .navbar .navbar-toggler {
    background: var(--secondary-color);
  }

  .offcanvas-body {
    background: var(--primary-color);
  }

  .menu__bar .nav-link {
    color: var(--bs-light);
  }

  #countdown {
    grid-template-columns: repeat(2, 1fr);
  }

  .cursor,
  .cursor2 {
    display: none;
  }
  .msg_bg {
    background: var(--primary-color);
  }
}

/* =====================
  RESPONSIVE : ANIMATIONS
====================== */

.a__box {
  animation: translate ease-in-out;
  animation-timeline: view();
  animation-range: entry 0% cover 40%;
}

@keyframes translate {
  from {
    opacity: 0;
    transform: translate(-100px);
  }

  to {
    opacity: 1;
    transform: translate(0px);
  }
}

.a__box {
  animation: scale ease-in-out;
  animation-timeline: view();
  animation-range: entry 0% cover 40%;
}

@keyframes scale {
  from {
    opacity: 0;
    scale: 0.5;
  }

  to {
    opacity: 1;
    scale: 1;
  }
}

/* =====================
  RESPONSIVE : MOBILE
====================== */

@media only screen and (max-width: 576px) {
  .breadcrumb__sc .breadcrumb {
    width: 90%;
  }

  .updates {
    flex-direction: column;
  }

  .updates > * {
    width: 100%;
  }
  #countdown {
    position: inherit;
    flex-direction: row;
  }
  #countdown li:nth-child(1) {
    border-radius: 0;
  }
  #countdown li:nth-child(4) {
    border-radius: 0;
  }
}
